Subject: [RFC PATCH 04/20] arm64: mm: assume PAGE SIZE for page table allocator

From: [email-masked] (Mark Rutland)
Date: Thu, 10 Dec 2015 14:23:45 +0000

On Thu, Dec 10, 2015 at 02:08:40PM +0000, Will Deacon wrote:
> On Wed, Dec 09, 2015 at 12:44:39PM +0000, Mark Rutland wrote:
> > We pass a size parameter to early_alloc and late_alloc, but these are
> > only ever used to allocate single pages. In late_alloc we always
> > allocate a single page.
> > 
> > Remove the redundant size parameter.
> > 
> > Signed-off-by: Mark Rutland <[email-masked]>
> > Cc: Ard Biesheuvel <[email-masked]>
> > Cc: Catalin Marinas <[email-masked]>
> > Cc: Jeremy Linton <[email-masked]>
> > Cc: Laura Abbott <[email-masked]>
> > Cc: Will Deacon <[email-masked]>
> > ---
> >  arch/arm64/mm/mmu.c | 27 ++++++++++++---------------
> >  1 file changed, 12 insertions(+), 15 deletions(-)
> 
> Looks sensible to me. Cosmetic nit, but we could we rename these to
> early_page_alloc/late_page_alloc instead, please?

Sure. I'll also s/alloc/page_alloc/ for the function pointer. Luckily
this doesn't clash with the usual alloc_page function.

I'll also fix up the zero page init, as I forgot to remove the PAGE_SIZE
parameter in that early_alloc() call there.

Thanks,
Mark.